function check_matlab_version()
    % check_matlab_version()
    %
    % Checks whether installed version of Matlab is >= 2012a. 
    
    % Matlab 2012a was released March 1, 2012
    if datenum(version('-date')) <  datenum('March 1, 2012')
        warning('ebFRET:MatlabVersion', ...
                ebfret.join(char(10), ...
                             {'The installed Matlab version appears to be older', ...
                              'than <2012a. Versions prior to this release are known to', ...
                              'have slower performance for object-oriented methods [1].', ...
                              '', ...
                              'ebFRET has been tested on 2010b and is known to work, but', ...
                              'users may experience performance issues when working with', ...
                              'larger datasets. If ebFRET seems unusualy slow, then please', ...
                              'consider upgrading your Matlab version.', ...
                              '', ...
                              '[1] http://blogs.mathworks.com/loren/2012/03/26/', ...
                              '    considering-performance-in-object-oriented-matlab-code/'}));
    end
end